#!/usr/bin/env python
# coding=utf-8

'''
Author       : Kofi
Date         : 2023-07-11 13:48:08
LastEditors  : Kofi
LastEditTime : 2023-07-11 14:59:52
Description  : 
'''
import sys, json

from loguru import logger
from PyQt5.QtWidgets import QApplication, QMainWindow
from utils.CommonHelper import CommonHelper
from components.BaseWidget import BaseWidget


def mainFun():
    app = QApplication(sys.argv)
    window = QMainWindow()
    main = BaseWidget("", "main", window)

    path = CommonHelper.getAbsFilePath("./config/interface/app.json")
    with open(path, "r", encoding="UTF-8") as f:
        jsonData = json.load(f)

    window.setWindowTitle(jsonData["title"])
    window.setCentralWidget(main)
    window.setFixedSize(int(jsonData["width"]), int(jsonData["height"]))
    window.show()

    sys.exit(app.exec_())


if __name__ == "__main__":
    logger.add("./log/INFO_{time:YYYY-MM-DD}.log")
    mainFun()
