#!/usr/bin/env python
# coding=utf-8

"""
Author       : Kofi
Date         : 2022-12-01 09:50:39
LastEditors  : Kofi
LastEditTime : 2022-12-01 09:50:39
Description  : Excel 工具类
"""
import xlrd
from loguru import logger


class ExcelHelper:
    @staticmethod
    def readExcelToVariates(
        file_name: str, configs: list = None, sheet_name: str = None
    ):
        """_summary_
        读取Excel文件
        Args:
            config (str): _description_
            file_name (str): _description_
        """
        try:
            wb = xlrd.open_workbook(file_name)
            sheet = (
                wb.sheet_by_name(sheet_name)
                if sheet_name != None
                else wb.sheet_by_index(0)
            )
            for index, cell_value in enumerate(sheet.row_values(0)):
                for config in configs:
                    if config["title"] == cell_value:
                        config["index"] = index

            return sheet, configs

        except Exception as e:
            logger.exception(e)
